# This puppet manifest is used to configure Sweden Connect log collector servers

# @param environment          The environment that the server belongs to. (referenced in compose file)
# @param version              Version of the docker image to use. (referenced in compose file)
# @param service_name         The name of the service, ex test.test.swedenconnect.se (referenced in compose file)
# @param server_fqdn          The FQDN of the server. (referenced in compose file)
# @param service_dir          The directory where all app related config and files are stored. (referenced in compose file)

class eid::log (
) {

   ensure_resource('file','/etc/logrotate.d',{
      ensure => 'directory',
      mode   => '0755'
   })

   file {'/etc/logrotate.d/eidas_logs':
      ensure  => file,
      path    => '/etc/logrotate.d/eidas_logs',
      mode    => '0644',
      content => template('eid/log/eidas_logs.erb')
   }
}
